Subject: bug#4134: 23.1; Buffer Tab not being linked properly

From: David Ronis <[email-masked]>
Date: Thu, 20 Aug 2009 21:00:59 -0400

Hi Glen, 

Thanks for the reply.  

Here's what I did:

1. started 'emacs -Q model.f' as suggested.
2. emacs sets the buffer mode to fortran and I have the usual "Fortran"
button in the menubar.
3. compile the program using alt-x compile (then simply run make without
-k).  The window splits and I see the expected output of the
compilation.  

If I set the focus to the *compile* buffer, the "Fortran" menubar button
changes to "Compile" (as it should); however, clicking on that button
gets the fortran menu, not the compile one.

David

P.S., I've been using emacs for a long time, but where do you see
version 11?

P.S.S., mailcrypt only got called when the mailer was invoked to report
the bug.  It is normally not running.  On the other hand, "external"
packages like maxima and auctex are often in use.   The test with -Q
rules them out probably.

On Thu, 2009-08-20 at 20:34 -0400, Glenn Morris wrote:
> tags 4134 moreinfo unreproducible
> stop
> 
> David Ronis wrote:
> 
> > I'm working on a fortran project and am currently using emacs to
> > edit the Makefile, fortran source file and to do the compilation
> > (I'm also using it to send this bug report). The menubar at the top
> > has entries that change when I switch buffers/modes; e.g., right now
> > I see entries like
> >
> > File Edit Options Buffers Tools Headers Mail Mailcrypt Help
> >
> > Clicking on Mail or Mailcrypt doen't popup a menu.
> >
> > Switching to my fortran buffer, I have
> >
> >
> > File Edit Options Buffers Tools Fortran Help
> >
> > Now clicking on Fortran generates the correct menu.
> >
> > Compiling the program results in a compilation buffer with 
> > a menubar containing
> >
> > File Edit Options Buffers Tools Compile Help
> >
> > Clicking on Compile gets the Fortran menu.  
> 
> 
> I cannot reproduce this. Can you explain how to get to this state,
> starting from emacs -Q? For example, Mailcrypt is not part of Emacs.
> 
> 
> > In GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version 2.12.12)
> >  of 2009-07-30 on ronispc
> [...]
> > configured using `configure 'CC=/usr/bin/gcc' 'CFLAGS=-march=native
> > -msse2 -mfpmath=sse -O3 -ffast-math -funroll-loops
> > -fomit-frame-pointer -floop-interchange -floop-strip-mine
> > -floop-block''
> 
> Wow, your Emacs goes to 11.
>